## plasma-widget-lastmoid 0.4

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(lastmoid)
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QT_QTTEST_INCLUDE_DIR}
   )
 
# We add our source code here
set(lastmoid_SRCS lastmoid.cpp)
 
# Now make sure all files get to the right place
kde4_add_ui_files(lastmoid_SRCS lastmoidConfig.ui)
kde4_add_plugin(plasma_applet_lastmoid ${lastmoid_SRCS})
target_link_libraries(plasma_applet_lastmoid ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY}  ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
 
install(TARGETS plasma_applet_lastmoid
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-lastmoid.desktop
        DESTINATION  ${SERVICES_INSTALL_DIR})

install(FILES
    lastmoid.svg
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets)

## plasma-widget-lastmoid 0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Now make sure all files get to the right place
 kde4_add_ui_files(lastmoid_SRCS lastmoidConfig.ui)
 kde4_add_plugin(plasma_applet_lastmoid ${lastmoid_SRCS})
-target_link_libraries(plasma_applet_lastmoid ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY}  ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
+target_link_libraries(plasma_applet_lastmoid ${KDE4_KDEUI_LIBS} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY}  ${KDE4_PLASMA_LIBS} )
  
 install(TARGETS plasma_applet_lastmoid
         DESTINATION ${PLUGIN_INSTALL_DIR})
@@ -30,3 +30,4 @@
 install(FILES
     lastmoid.svg
     DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets)
+

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/damien/Lastmoid

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/damien/Lastmoid

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/damien/Lastmoid/CMakeFiles /home/damien/Lastmoid/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/damien/Lastmoid/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named plasma_applet_lastmoid

# Build rule for target.
plasma_applet_lastmoid: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 plasma_applet_lastmoid
.PHONY : plasma_applet_lastmoid

# fast build rule for target.
plasma_applet_lastmoid/fast:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid.dir/build.make CMakeFiles/plasma_applet_lastmoid.dir/build
.PHONY : plasma_applet_lastmoid/fast

#=============================================================================
# Target rules for targets named plasma_applet_lastmoid_automoc

# Build rule for target.
plasma_applet_lastmoid_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 plasma_applet_lastmoid_automoc
.PHONY : plasma_applet_lastmoid_automoc

# fast build rule for target.
plasma_applet_lastmoid_automoc/fast:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid_automoc.dir/build.make CMakeFiles/plasma_applet_lastmoid_automoc.dir/build
.PHONY : plasma_applet_lastmoid_automoc/fast

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

# target to build an object file
lastmoid.o:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid.dir/build.make CMakeFiles/plasma_applet_lastmoid.dir/lastmoid.o
.PHONY : lastmoid.o

# target to preprocess a source file
lastmoid.i:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid.dir/build.make CMakeFiles/plasma_applet_lastmoid.dir/lastmoid.i
.PHONY : lastmoid.i

# target to generate assembly for a file
lastmoid.s:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid.dir/build.make CMakeFiles/plasma_applet_lastmoid.dir/lastmoid.s
.PHONY : lastmoid.s

# target to build an object file
plasma_applet_lastmoid_automoc.o:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid.dir/build.make CMakeFiles/plasma_applet_lastmoid.dir/plasma_applet_lastmoid_automoc.o
.PHONY : plasma_applet_lastmoid_automoc.o

# target to preprocess a source file
plasma_applet_lastmoid_automoc.i:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid.dir/build.make CMakeFiles/plasma_applet_lastmoid.dir/plasma_applet_lastmoid_automoc.i
.PHONY : plasma_applet_lastmoid_automoc.i

# target to generate assembly for a file
plasma_applet_lastmoid_automoc.s:
	$(MAKE) -f CMakeFiles/plasma_applet_lastmoid.dir/build.make CMakeFiles/plasma_applet_lastmoid.dir/plasma_applet_lastmoid_automoc.s
.PHONY : plasma_applet_lastmoid_automoc.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... plasma_applet_lastmoid"
	@echo "... plasma_applet_lastmoid_automoc"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... uninstall"
	@echo "... lastmoid.o"
	@echo "... lastmoid.i"
	@echo "... lastmoid.s"
	@echo "... plasma_applet_lastmoid_automoc.o"
	@echo "... plasma_applet_lastmoid_automoc.i"
	@echo "... plasma_applet_lastmoid_automoc.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

## plasma-widget-lastmoid 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Project Needs a name ofcourse
+# Project
 project(lastmoid)
  
 # Find the required Libaries
@@ -14,7 +14,7 @@
    )
  
 # We add our source code here
-set(lastmoid_SRCS lastmoid.cpp)
+set(lastmoid_SRCS lastmoid.cpp barlabel.cpp)
  
 # Now make sure all files get to the right place
 kde4_add_ui_files(lastmoid_SRCS lastmoidConfig.ui)

=== debian/changelog ===
plasma-widget-lastmoid (0.6-0ubuntu3) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Switch to source format 3.0 (quilt).

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 15:37:31 +0200

plasma-widget-lastmoid (0.6-0ubuntu2) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:06 +0000

plasma-widget-lastmoid (0.6-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Transition from kde.mk to dh --with-kde:
    - debian/compat: Bump compat version to 7
    - debian/control: Bump debhelper depend version to 7
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Make the binary package depend on ${misc:Depends} for lintian happiness
  * Bump Standards-Version to 3.8.3
  * Change plasmoid -> Plasma widget in package description
  * Change LastFm -> Last.fm in package description
  * Update maintainer to be the Ubuntu Developers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 21 Nov 2009 20:03:56 -0500

plasma-widget-lastmoid (0.5-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 23 May 2009 02:42:33 +0200

plasma-widget-lastmoid (0.5-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #368979)
  * Bump Standards-Version to 3.8.1
  * Bump libplasma-dev to 4:4.2.2

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 29 Apr 2009 02:29:35 +0200

plasma-widget-lastmoid (0.4-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #328018)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 07 Feb 2009 07:52:37 +0100

=== debian/control ===
Source: plasma-widget-lastmoid
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               pkg-config,
               kdelibs5-dev (>= 4:4.2.85),
               libqt4-dev (>= 4:4.6.0~rc1-1ubuntu1)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Lastmoid?content=98117

Package: plasma-widget-lastmoid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lastfm widget which displays the weekly artist chart
 This plasma widget shows the weekly artist chart and track from Last.Fm

## plasma-widget-lastmoid 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
    )
  
 # We add our source code here
-set(lastmoid_SRCS lastmoid.cpp barlabel.cpp)
+set(lastmoid_SRCS lastmoid.cpp track.cpp)
  
 # Now make sure all files get to the right place
 kde4_add_ui_files(lastmoid_SRCS lastmoidConfig.ui)

=== debian/changelog ===
plasma-widget-lastmoid (0.6.5-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.
  * Enable parallel building.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 21 Oct 2010 10:14:36 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-config,
                kdelibs5-dev (>= 4:4.2.85),
                libqt4-dev (>= 4:4.6.0~rc1-1ubuntu1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://kde-look.org/content/show.php/Lastmoid?content=98117
 
 Package: plasma-widget-lastmoid
